Skip to content

Report


Endpoints

GET       /reports
GET       /reports/:id
POST      /reports/:id/share
DELETE    /reports/:id

Interactive dashboards that present portfolio analytics information in an intuitive and explorable way. Reports represent a specific portfolio and date so that they can be referenced in the future.

The report object

What a report object looks like?

{
  "updated": 1624633602,
  "name": "My First Report",
  "relative_url": "/report/f46906305657494f9e6bd25e0dcae769",
  "tags": ["first", "report", "20210622"],
  "url": "https://app.everysk.com/report/f46906304787494f9e6bd25e0dcae769",
  "absolute_url": "https://app.everysk.com/report/f46906304787494f9e6bd25e0dcae769",
  "created": 1624633585,
  "workspace": "preview",
  "id": "repo_KqbStPc7x2m5GW1GWKZCVlzPM",
  "authorization": "PRIVATE",
  "description": "This is my first report."
}
Property Description
id string Unique identifier (UID) for the report.
created timestamp Time at which the object was created, measured in seconds since the Unix epoch.
updated timestamp Time at which the object was last updated, measured in seconds since the Unix epoch.
name string The report's name.
description string An arbitrary string attached to the report. Useful for adding details or enabling searches based on hashtags.
tags array Sequence of hashtags associated with the report. Multiple hashtags improve filtering (labels, dates, or other terms can be used).
version string Indicates the report's current version.
date string Report date in the format YYYYMMDD. The Report Date instructs the API to use the market conditions and security prices prevailing on that date. To run the report using today’s conditions, use null.
data array The content stored inside the report.
authorization string Indicates whether the report is public or private.
url string The web address where the report can be accessed.
absolute_url string The absolute web address where the report can be accessed.
relative_url string The relative endpoint where the report can be accessed.
workspace string The workspace in which the report was generated.

List all reports

To list all reports, run the following:

curl https://api.everysk.com/v2/reports?query=#20210622&workspace=main \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "reports": [
    {
      "updated": 1624633522,
      "name": "My Second Report",
      "relative_url": "/report/6870426745114f7cb17595be77bea64c",
      "tags": ["second", "report", "20210622"],
      "url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c",
      "absolute_url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c",
      "created": 1624633522,
      "workspace": "main",
      "id": "repo_N2wZOHGo5pbmhVwQT3UX2ifk4",
      "authorization": "PRIVATE",
      "description": ""
    },
    {
      "updated": 1624633602,
      "name": "My First Report",
      "relative_url": "/report/f46906305657494f9e6bd25e0dcae769",
      "tags": ["first", "report", "20210622"],
      "url": "https://app.everysk.com/report/f46906304787494f9e6bd25e0dcae769",
      "absolute_url": "https://app.everysk.com/report/f46906304787494f9e6bd25e0dcae769",
      "created": 1624633585,
      "workspace": "main",
      "id": "repo_KqbStPc7x2m5GW1GWKZCVlzPM",
      "authorization": "PRIVATE",
      "description": ""
    }
  ],
  "next_page_token": null
}

Returns a list of reports you’ve previously generated. The reports are returned in sorted order, with the most recent report appearing first.

HTTP Request

GET /reports

HTTP Parameters

Parameter Description
query string optional, default is null Request a list of reports filtering it by name or tag. When using a tag to perform a query, each term must include a hashtag prefix. (e.g: query="#april #sample") See Filter with query.
workspace string optional, default is main Determines on which workspace the request will be made.
page_size int optional, default is 10 Set the number of objects that will be listed per page.
page_token int optional, default is null The token defines which page will be returned to the user. For further information, please check out our pagination guide.

Retrieve a report

To retrieve a report, run the following:

curl https://api.everysk.com/v2/reports/repo_N2wZOHGo5pbmhVwQT3UX2ifk4?workspace=main \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -G

The above call returns the following JSON object:

{
  "report": {
    "updated": 1624633522,
    "name": "My First Report",
    "relative_url": "/report/6870426745114f7cb17595be77bea64c",
    "tags": ["first", "report", "20210622"],
    "url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c",
    "absolute_url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c",
    "created": 1624633522,
    "workspace": "main",
    "widgets": [
      {
        "absolute_url": "https://app.everysk.com/widget/5a4b6fc49767400c9f1cdddd4cc31050",
        "id": "5a4b6fc49767400c9f1cdddd4cc31050",
        "relative_url": "/widget/5a4b6fc49767400c9f1cdddd4cc31050",
        "name": "Portfolio Property"
      }
    ],
    "id": "repo_N2wZOHGo5pbmhVwQT3UX2ifk4",
    "authorization": "PRIVATE",
    "description": "This is my first report!"
  }
}

Retrieves the details of an existing report by supplying the report's id.

HTTP Request

GET /reports/:id

HTTP Parameters

Parameter Description
id string REQUIRED A unique identifier (UID) for a report. A report's id will always look like this: repo_N2wZOHGo5pbmhVwQT3UX2ifk4.
workspace string optional, default is main Determines on which workspace the request will be made.

Share a report

To share a report, run the following:

curl https://api.everysk.com/v2/reports/repo_N2wZOHGo5pbmhVwQT3UX2ifk4/share \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -X POST

The above call returns the following JSON object:

{
  "report": {
    "id": "repo_N2wZOHGo5pbmhVwQT3UX2ifk4",
    "name": "My First Report",
    "description": "This is my first report",
    "tags": ["first", "report", "20210622"],
    "created": 1624633585,
    "updated": 1624633602,
    "workspace": "main",
    "authorization": "PRIVATE",
    "url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c/light",
    "absolute_url": "https://app.everysk.com/report/6870426745114f7cb17595be77bea64c/light",
    "relative_url": "/report/6870426745114f7cb17595be77bea64c/light",
    "shared_url": "https://app.everysk.com/report/shared_TVRSaVltTXhZMkptTVRBeE5ETTNPV0V6TWpKbE1qaGpOVFEzTnpFMk9HRTZiV0U2LjE1NzQ4NjM2NjYuMDAwMDAwMzYwMC4yQnlFWFFsQUlnbjZmcTU0bjBRcUZWS2NxallDM3FnM3NXTTdOWmtNc2dz/light",
    "url_token": "shared_TVRSaVltTXhZMkptTVRBeE5ETTNPV0V6TWpKbE1qaGpOVFEzTnpFMk9HRTZiV0U2LjE1NzQ4NjM2NjYuMDAwMDAwMzYwMC4yQnlFWFFsQUlnbjZmcTU0bjBRcUZWS2NxallDM3FnM3NXTTdOWmtNc2dz",
    "expires_after": 3600,
    "widgets": null,
    "date": "20210622",
    "date_time": "20210622 12:00:00",
    "link_uid": null
  }
}

Generates a url address where the report can be accessed.

HTTP Request

POST /reports/:id/share

HTTP Parameters

Parameter Description
id string REQUIRED A unique identifier (UID) for a report.
expires_after string optional, default is 1 hour Remaning time for the url address to expire.
skin_theme string optional, default is Light Sets the report's color theme. It accepts: Dark or Light.
workspace string optional, default is main Determines on which workspace the request will be made.

Delete a report

To delete a report, run the following:

curl https://api.everysk.com/v2/reports/repo_N2wZOHGo5pbmhVwQT3UX2ifk4?workspace=main \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -X DELETE

The above call returns the following JSON object:

{
  "report": {
    "deleted": true,
    "id": "repo_N2wZOHGo5pbmhVwQT3UX2ifk4"
  }
}

Permanently deletes a report. It cannot be undone. Returns an object with the report's id and an attribute specifying whether the report was successfully deleted or not.

HTTP Request

DELETE /reports/:id

HTTP Parameters

Parameter Description
id string REQUIRED A unique identifier (UID) for a report.
workspace string optional, default is main Determines on which workspace the request will be made.